Page 1 of 1

VST/VST3 Question

Posted: Mon Dec 16, 2019 3:28 am
by s1mplem1nds
Hello,

I have a question regarding "plugin" compatibility, apologies for the "noob" question.

I have been using Logic Pro X for years, and I am about to change to Cubase 10.5 pro (subject to crossgrade checks).

Anyway, in Logic i know that AU component (Audio Unit) files are used for plugins to load for third party "instruments" and effects. I read somewhere that Cubase does not accept audio units? I also see mention that VST3 is used or recommended now?, does this also mean that standard .VST files work as well? I know that most manufacturers (Omnisphere, Korg, IK Multimedia) all have the .VST files as well as the AU. Just want to check that these will be compatible. When i visit the manufacturer websites it does not say which DAW is supported, but more so that VST support is required? :mrgreen:

Thank you

Re: VST/VST3 Question

Posted: Tue Dec 17, 2019 10:15 am
by Martin.Jirsak
Hi and welcome,

You are right, Cubase doesn't support AU plug-ins. But most (I would say all) manufactures support VST.

Cubase supports VST3, what is the latest version of this standard and it's recommended. But Cubase also supports an older version VST2 (it must be VST2.4 and newer). Several manufacturers still produce this old VST2.4 plug-ins (unfortunately; in VST3, they have much more options). No worries, these are compatible with Cubase.

VST2 plug-ins are using *.vst extension, VST3 plug-ins are using *.vst3 extension.

If you want to check, which VST plug-ins are installed at your system, have a look to these folders:
system/Library/Audio/Plug-Ins/VST
system/Library/Audio/Plug-Ins/VST3

Re: VST/VST3 Question

Posted: Tue Dec 17, 2019 8:36 pm
by s1mplem1nds
Thank you for clarifying that, I didn't realise VST2 is/can be .VST ! thanks, I have just purchased 10.5 pro, and now awaiting my USB eLicencer to arrive,

looking forward to the change ! :) Thank you

Re: VST/VST3 Question

Posted: Wed Dec 18, 2019 9:50 pm
by Stephen57
s1mplem1nds wrote:
Tue Dec 17, 2019 8:36 pm
Thank you for clarifying that, I didn't realise VST2 is/can be .VST ! thanks, I have just purchased 10.5 pro, and now awaiting my USB eLicencer to arrive,

looking forward to the change ! :) Thank you
Hi,

Welcome to the forums and I hope things work out. No doubt there will be a period of adjustment and some of the VST instruments and effects may be initially "blacklisted" by Cubase but you'll work out how to deal with all that.

There's a ton of good help available in the forums and finding information is often easier with a google site search rather than searching within the forums. Old posts are still mostly valid as well as videos that demonstrate things in old versions of Cubase.

Good luck getting set up.